#> iris_rempot:get_hitbox/block/xor
#
# Compute bitwise XOR (^) on two scores
#
# @private
# @within iris_rempot:get_hitbox/block/offset
# @reads
#   score $a iris_rempot
#       The first operand
#   score $b iris_rempot
#       The second operand
# @output
#   Return: The result of the XOR operation on both operands
#   Success: 1

scoreboard players operation $a^b iris_rempot = $a iris_rempot
scoreboard players operation $a^b iris_rempot += $b iris_rempot

# Compute a&b
scoreboard players set $a&b iris_rempot 0
execute if score $a iris_rempot matches ..-1 if score $b iris_rempot matches ..-1 run scoreboard players set $a&b iris_rempot -2147483648
scoreboard players operation $a iris_rempot += $a iris_rempot
scoreboard players operation $b iris_rempot += $b iris_rempot
execute if score $a iris_rempot matches ..-1 if score $b iris_rempot matches ..-1 run scoreboard players add $a&b iris_rempot 1073741824
scoreboard players operation $a iris_rempot += $a iris_rempot
scoreboard players operation $b iris_rempot += $b iris_rempot
execute if score $a iris_rempot matches ..-1 if score $b iris_rempot matches ..-1 run scoreboard players add $a&b iris_rempot 536870912
scoreboard players operation $a iris_rempot += $a iris_rempot
scoreboard players operation $b iris_rempot += $b iris_rempot
execute if score $a iris_rempot matches ..-1 if score $b iris_rempot matches ..-1 run scoreboard players add $a&b iris_rempot 268435456
scoreboard players operation $a iris_rempot += $a iris_rempot
scoreboard players operation $b iris_rempot += $b iris_rempot
execute if score $a iris_rempot matches ..-1 if score $b iris_rempot matches ..-1 run scoreboard players add $a&b iris_rempot 134217728
scoreboard players operation $a iris_rempot += $a iris_rempot
scoreboard players operation $b iris_rempot += $b iris_rempot
execute if score $a iris_rempot matches ..-1 if score $b iris_rempot matches ..-1 run scoreboard players add $a&b iris_rempot 67108864
scoreboard players operation $a iris_rempot += $a iris_rempot
scoreboard players operation $b iris_rempot += $b iris_rempot
execute if score $a iris_rempot matches ..-1 if score $b iris_rempot matches ..-1 run scoreboard players add $a&b iris_rempot 33554432
scoreboard players operation $a iris_rempot += $a iris_rempot
scoreboard players operation $b iris_rempot += $b iris_rempot
execute if score $a iris_rempot matches ..-1 if score $b iris_rempot matches ..-1 run scoreboard players add $a&b iris_rempot 16777216
scoreboard players operation $a iris_rempot += $a iris_rempot
scoreboard players operation $b iris_rempot += $b iris_rempot
execute if score $a iris_rempot matches ..-1 if score $b iris_rempot matches ..-1 run scoreboard players add $a&b iris_rempot 8388608
scoreboard players operation $a iris_rempot += $a iris_rempot
scoreboard players operation $b iris_rempot += $b iris_rempot
execute if score $a iris_rempot matches ..-1 if score $b iris_rempot matches ..-1 run scoreboard players add $a&b iris_rempot 4194304
scoreboard players operation $a iris_rempot += $a iris_rempot
scoreboard players operation $b iris_rempot += $b iris_rempot
execute if score $a iris_rempot matches ..-1 if score $b iris_rempot matches ..-1 run scoreboard players add $a&b iris_rempot 2097152
scoreboard players operation $a iris_rempot += $a iris_rempot
scoreboard players operation $b iris_rempot += $b iris_rempot
execute if score $a iris_rempot matches ..-1 if score $b iris_rempot matches ..-1 run scoreboard players add $a&b iris_rempot 1048576
scoreboard players operation $a iris_rempot += $a iris_rempot
scoreboard players operation $b iris_rempot += $b iris_rempot
execute if score $a iris_rempot matches ..-1 if score $b iris_rempot matches ..-1 run scoreboard players add $a&b iris_rempot 524288
scoreboard players operation $a iris_rempot += $a iris_rempot
scoreboard players operation $b iris_rempot += $b iris_rempot
execute if score $a iris_rempot matches ..-1 if score $b iris_rempot matches ..-1 run scoreboard players add $a&b iris_rempot 262144
scoreboard players operation $a iris_rempot += $a iris_rempot
scoreboard players operation $b iris_rempot += $b iris_rempot
execute if score $a iris_rempot matches ..-1 if score $b iris_rempot matches ..-1 run scoreboard players add $a&b iris_rempot 131072
scoreboard players operation $a iris_rempot += $a iris_rempot
scoreboard players operation $b iris_rempot += $b iris_rempot
execute if score $a iris_rempot matches ..-1 if score $b iris_rempot matches ..-1 run scoreboard players add $a&b iris_rempot 65536
scoreboard players operation $a iris_rempot += $a iris_rempot
scoreboard players operation $b iris_rempot += $b iris_rempot
execute if score $a iris_rempot matches ..-1 if score $b iris_rempot matches ..-1 run scoreboard players add $a&b iris_rempot 32768
scoreboard players operation $a iris_rempot += $a iris_rempot
scoreboard players operation $b iris_rempot += $b iris_rempot
execute if score $a iris_rempot matches ..-1 if score $b iris_rempot matches ..-1 run scoreboard players add $a&b iris_rempot 16384
scoreboard players operation $a iris_rempot += $a iris_rempot
scoreboard players operation $b iris_rempot += $b iris_rempot
execute if score $a iris_rempot matches ..-1 if score $b iris_rempot matches ..-1 run scoreboard players add $a&b iris_rempot 8192
scoreboard players operation $a iris_rempot += $a iris_rempot
scoreboard players operation $b iris_rempot += $b iris_rempot
execute if score $a iris_rempot matches ..-1 if score $b iris_rempot matches ..-1 run scoreboard players add $a&b iris_rempot 4096
scoreboard players operation $a iris_rempot += $a iris_rempot
scoreboard players operation $b iris_rempot += $b iris_rempot
execute if score $a iris_rempot matches ..-1 if score $b iris_rempot matches ..-1 run scoreboard players add $a&b iris_rempot 2048
scoreboard players operation $a iris_rempot += $a iris_rempot
scoreboard players operation $b iris_rempot += $b iris_rempot
execute if score $a iris_rempot matches ..-1 if score $b iris_rempot matches ..-1 run scoreboard players add $a&b iris_rempot 1024
scoreboard players operation $a iris_rempot += $a iris_rempot
scoreboard players operation $b iris_rempot += $b iris_rempot
execute if score $a iris_rempot matches ..-1 if score $b iris_rempot matches ..-1 run scoreboard players add $a&b iris_rempot 512
scoreboard players operation $a iris_rempot += $a iris_rempot
scoreboard players operation $b iris_rempot += $b iris_rempot
execute if score $a iris_rempot matches ..-1 if score $b iris_rempot matches ..-1 run scoreboard players add $a&b iris_rempot 256
scoreboard players operation $a iris_rempot += $a iris_rempot
scoreboard players operation $b iris_rempot += $b iris_rempot
execute if score $a iris_rempot matches ..-1 if score $b iris_rempot matches ..-1 run scoreboard players add $a&b iris_rempot 128
scoreboard players operation $a iris_rempot += $a iris_rempot
scoreboard players operation $b iris_rempot += $b iris_rempot
execute if score $a iris_rempot matches ..-1 if score $b iris_rempot matches ..-1 run scoreboard players add $a&b iris_rempot 64
scoreboard players operation $a iris_rempot += $a iris_rempot
scoreboard players operation $b iris_rempot += $b iris_rempot
execute if score $a iris_rempot matches ..-1 if score $b iris_rempot matches ..-1 run scoreboard players add $a&b iris_rempot 32
scoreboard players operation $a iris_rempot += $a iris_rempot
scoreboard players operation $b iris_rempot += $b iris_rempot
execute if score $a iris_rempot matches ..-1 if score $b iris_rempot matches ..-1 run scoreboard players add $a&b iris_rempot 16
scoreboard players operation $a iris_rempot += $a iris_rempot
scoreboard players operation $b iris_rempot += $b iris_rempot
execute if score $a iris_rempot matches ..-1 if score $b iris_rempot matches ..-1 run scoreboard players add $a&b iris_rempot 8
scoreboard players operation $a iris_rempot += $a iris_rempot
scoreboard players operation $b iris_rempot += $b iris_rempot
execute if score $a iris_rempot matches ..-1 if score $b iris_rempot matches ..-1 run scoreboard players add $a&b iris_rempot 4
scoreboard players operation $a iris_rempot += $a iris_rempot
scoreboard players operation $b iris_rempot += $b iris_rempot
execute if score $a iris_rempot matches ..-1 if score $b iris_rempot matches ..-1 run scoreboard players add $a&b iris_rempot 2
scoreboard players operation $a iris_rempot += $a iris_rempot
scoreboard players operation $b iris_rempot += $b iris_rempot
execute if score $a iris_rempot matches ..-1 if score $b iris_rempot matches ..-1 run scoreboard players add $a&b iris_rempot 1

# Compute a^b = a+b-2(a&b)
scoreboard players operation $a^b iris_rempot -= $a&b iris_rempot
scoreboard players operation $a^b iris_rempot -= $a&b iris_rempot

# Return the result
return run scoreboard players get $a^b iris_rempot
