#> iris_rempot:get_position/get_coordinates
#
# Gets the coordinates of the executing entity
#
# @context A marker
# @within iris_rempot:get_position/main
# @within iris_rempot:get_hitbox/entity

# Get integer coordinates
data modify storage iris_rempot:data Pos set from entity @s Pos
execute store result score $[x] iris_rempot store result storage iris_rempot:args x int -1 run data get storage iris_rempot:data Pos[0]
execute store result score $[y] iris_rempot store result storage iris_rempot:args y int -1 run data get storage iris_rempot:data Pos[1]
execute store result score $[z] iris_rempot store result storage iris_rempot:args z int -1 run data get storage iris_rempot:data Pos[2]

# Get fractional coordinates
function iris_rempot:get_position/teleport with storage iris_rempot:args
data modify storage iris_rempot:data Pos set from entity @s Pos
execute store result score ${x} iris_rempot run data get storage iris_rempot:data Pos[0] 1000000
execute store result score ${y} iris_rempot run data get storage iris_rempot:data Pos[1] 1000000
execute store result score ${z} iris_rempot run data get storage iris_rempot:data Pos[2] 1000000

# Clean up
data remove storage iris_rempot:data Pos
kill @s
