#> iris_rempot:raycast/test_for_block
#
# @output
#   Result: 0
#   Success: 1 if a block was hit, 0 otherwise

# Check if the current block is loaded
execute store success score $loaded iris_rempot if blocks ~ ~ ~ ~ ~ ~ ~ ~ ~ masked
execute if score $loaded iris_rempot matches 0 run return fail

# Check if the current block is blacklisted, or explicitly not whitelisted
execute if data storage iris_rempot:settings Whitelist run data modify storage iris_rempot:args id set from storage iris_rempot:settings Whitelist
execute if data storage iris_rempot:settings Whitelist store success score $is_whitelisted iris_rempot run function iris_rempot:raycast/macro_functions/block_id_test with storage iris_rempot:args
execute if data storage iris_rempot:settings Whitelist unless score $is_whitelisted iris_rempot matches 1 run return fail
execute if data storage iris_rempot:settings Blacklist run data modify storage iris_rempot:args id set from storage iris_rempot:settings Blacklist
execute if data storage iris_rempot:settings Blacklist store success score $is_blacklisted iris_rempot run function iris_rempot:raycast/macro_functions/block_id_test with storage iris_rempot:args
execute if data storage iris_rempot:settings Blacklist if score $is_blacklisted iris_rempot matches 1 run return fail

# See if the block is hit
function iris_rempot:get_hitbox/block
execute unless data storage iris_rempot:data Shape[0] run return fail
return run function iris_rempot:raycast/check_intersection/loop
